@echo off
echo .
echo This batch file is a sample of how you can delete a user network
echo accounts and delete all of their personal subdirectories.
echo The method of using a batch file allows a consistent process to the 
echo deletion of accounts.
echo .
goto end

@echo off
echo  .
echo  Purpose:  Delete the User's object and the appropiate user files
echo  .
echo  Parameter: 1   Short network name          dcollins
echo  Parameter: 2   Default container           mercury.hq.dart
echo  Parameter: 3   Default server (short)      mercury
echo  .
echo  Note:  if the sample does not have a leading period (.) then don't
echo  use one.  (use exactly the same syntax.)
echo  .

if [%1] == [] goto end
if [%2] == [] goto error
if [%3] == [] goto error
echo  .  Press anykey to start the 'add' or else CTRL-C
pause
@echo on

map i:=%3/sys:
map j:=%3/vol1:
if not exist i:\public\*.* goto error


Rem  Execute the utility that will delete the network account.

I:
CD\
n4objmgr del %1.%2
if errorlevel 1 goto error


Rem  Delete the user's personal user directory.

I:
cd\
md I:\usr\%1
cd I:\usr
deltree i:\usr\%1


Rem  Delete the user's personal email directory.

I:
cd\
md I:\mhs\mail\users\%1
cd I:\mhs\mail\users\%1
flag *.flg n /sub
cd I:\mhs\mail\users
deltree i:\mhs\mail\users\%1

h:
cd \logic

rem  To 'authenticate' to Venus for Office Logic.
map k:=venus/sys:

@echo off
echo .
echo .  Steps remaining are:
echo .
echo .     Rconsole to IO, 
echo .        Load NGMAdmin, 
echo .        Delete the user from the correct Passive server.  
echo .     Delete the user in Office-Logic Email
echo .

h:
cd \logic

goto end

:error
h:
cd\
@echo off
echo  Error occurred!

:end

