@echo off
echo  .              
echo  Purpose:    Move the User Object to the new container.
echo  .              
echo  Important:  Run MOVE-ME.BAT  first!
echo  .               
echo  Par: 1   Short network name               dcollins
echo  Par: 2   Old full network name            dcollins.saturn.hq.dart
echo  Par: 3   New container name               mercury.hq.dart
echo  Par: 4   New default server name          mercury.resources.hq.dart
echo  Par: 5   Old default group name           finance.saturn.hq.dart
echo  Par: 6   New default group name           is.mercury.hq.dart
echo  .
echo  Note:  if the sample does not have a leading period (.) then don't
echo  use one.  (use exactly the same syntax.)
echo  .
if [%1] == [] goto end
if [%2] == [] goto error
if [%3] == [] goto error
if [%4] == [] goto error
if [%5] == [] goto error
if [%6] == [] goto error
if not exist k:\usr\*.* goto error
echo  .  Press anykey to start the 'move' or else CTRL-C
pause
@echo on


Rem Execute the utility to move the users account to its new NDS container.

h:
cd\
n4objmgr move .%2 .%3
pause

n4attr %1.%3 "Message Server" O .%4 /O=H:\MOVE-ME.LOG
if errorlevel 1 pause

n4attr - %1.%3 %5 /O=H:\MOVE-ME.LOG
if errorlevel 1 pause
n4attr + %1.%3 %6 /O=H:\MOVE-ME.LOG
if errorlevel 1 pause

md k:\usr\%1
rights k:\usr\%1 r w c e m f /name=.%1.%3


cd\

goto exit

:error

echo  Error occurred!

:exit
echo .
echo Now run MOVE-ME2.BAT

